<?php
/**
 * Plugin Name: Quibi filter
 * Plugin URI: https://www.quibi.net
 * Description: Enable searching for orders by modified date - for REST API v3!
 * Version: 1.0
 * Author: Andraž Prinčič s.p.
 * Author URI: https://www.quibi.net
 */

add_filter('woocommerce_rest_orders_prepare_object_query', function(array $args, \WP_REST_Request $request) {
    $modified_after = $request->get_param('modified_after');

    if (!$modified_after) {
        return $args;
    }

    $args['date_query'][0]['column'] = 'post_modified';
    $args['date_query'][0]['after']  = $modified_after;

    return $args;

}, 10, 2);